DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
PATCH/llm/{llmId}

Update an LLM model

Update an LLM model

DELETE/llm/{llmId}arrow_forward
tune
Parameters
llmIdrequiredpath
string (uuid)
LLM ID
upload
Request body
model
string
Model name
url
string
Model endpoint URL
type
string · chat | embedding
Model type
active
boolean
Whether model is active
chatbotId
string (uuid)
Chatbot to scope model to
double_arrow
Returns 200
message
string
report
Errors
StatusDescription
404Default Response
500Default Response
north_east
Request
curl -X PATCH 'https://chat-api-dev.paicloud.ai//llm/{llmId}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "model": "model",
  "url": "url",
  "type": "chat",
  "active": true,
  "chatbotId": "00000000-0000-0000-0000-000000000001"
}'
south_west
Response
200 OK
application/json
{
  "message": "message"
}